Subject: bug#38378: 26.3.50; [PATCH] Add the hierarchy library

From: João Távora <[email-masked]>
Date: Mon, 9 Dec 2019 13:27:17 +0100

On Mon, Dec 9, 2019 at 1:24 PM Damien Cassou <[email-masked]> wrote:
>
> João Távora <[email-masked]> writes:
> > ;; Library to create, query, navigate and display hierarchy structures.
> >
> > Did you omit "modify" specifically because it doesn't allow a created
> > hierarchy to be mutated?
>
> a Hierarchy is created with (hierarchy-new) and must then be mutated to
> add elements to it. This is the same as with (make-hash-table).

But are existing external representations of that hierarchy (such as, say
a buffer displaying it as text) automatically updated when you mutate it?

João